python-pcp_4.0.1-1_i386.deb


Advertisement

Description

python-pcp - Performance Co-Pilot Python PMAPI module

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-pcp_4.0.1-1_i386.deb
Package name python-pcp
Package version 4.0.1
Package release 1
Package architecture i386
Package type deb
Category universe/python
Homepage http://pcp.io
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 62.06 KB
Installed size 327.00 KB
The PCP Python module contains the language bindings for
building Performance Metric API client tools using Python.
The Performance Co-Pilot provides a unifying abstraction for
all of the interesting performance data in a system, and allows
client applications to easily retrieve and process any subset of
that data.

Alternatives

Package Version Architecture Repository
python-pcp_4.0.1-1_amd64.deb 4.0.1 amd64 Ubuntu Universe
python-pcp - - -

Requires

Name Value
libc6 >= 2.4
libpcp-gui2 = 4.0.1-1
libpcp-import1 = 4.0.1-1
libpcp-mmv1 = 4.0.1-1
libpcp-pmda3 = 4.0.1-1
libpcp3 = 4.0.1-1
python << 2.8
python >= 2.7~
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-pcp_4.0.1-1_i386.deb
Source Package pcp

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pcp deb package:
    # sudo apt-get install python-pcp

Files

Path
/usr/lib/python2.7/dist-packages/cmmv.i386-linux-gnu.so
/usr/lib/python2.7/dist-packages/cpmapi.i386-linux-gnu.so
/usr/lib/python2.7/dist-packages/cpmda.i386-linux-gnu.so
/usr/lib/python2.7/dist-packages/cpmgui.i386-linux-gnu.so
/usr/lib/python2.7/dist-packages/cpmi.i386-linux-gnu.so
/usr/lib/python2.7/dist-packages/pcp-1.2.egg-info
/usr/lib/python2.7/dist-packages/pcp/__init__.py
/usr/lib/python2.7/dist-packages/pcp/mmv.py
/usr/lib/python2.7/dist-packages/pcp/pmapi.py
/usr/lib/python2.7/dist-packages/pcp/pmcc.py
/usr/lib/python2.7/dist-packages/pcp/pmconfig.py
/usr/lib/python2.7/dist-packages/pcp/pmda.py
/usr/lib/python2.7/dist-packages/pcp/pmgui.py
/usr/lib/python2.7/dist-packages/pcp/pmi.py
/usr/share/doc/python-pcp/changelog.Debian.gz
/usr/share/doc/python-pcp/copyright

Changelog

2018-03-29 - Nathan Scott <nathans@debian.org>
pcp (4.0.1-1) unstable; urgency=low
* New release (full details in CHANGELOG).
2018-02-16 - Nathan Scott <nathans@debian.org>
pcp (4.0.0-1) unstable; urgency=low
* New release (full details in CHANGELOG).
* Remove postinst insecure tmpfile handling (closes: #771793)
* Remove py2 or py3 alt build dependencies (closes: #882977)
* Fix sigsegv in pcp-atop with no devices (closes: #881822)
* Fix FTBFS building arch-indep packages (closes: #805955)
* Remove bashism from the pcp-testsuite (closes: #772352)
* Build for the system python3 package (closes: #866700)
* Ship import.h in libpcp-import1-dev (closes: #781047)
* Fix broken devel man page symlinks (closes: #857406)
* Fix up Qt5 build dependency issue (closes: #882969)
* Remove dbus-launch use from pcp-testsuite (closes: #836285)
2017-11-23 - Nathan Scott <nathans@debian.org>
pcp (3.12.2-2) unstable; urgency=low
* New release (full details in CHANGELOG).
* Default to building with Qt5 (closes: #875093)
* Add missing Qt5 svg dependency (closes: #881649)
* Switch from native to quilt form (closes: #881650)
2017-10-18 - Nathan Scott <nathans@debian.org>
pcp (3.12.2-1) unstable; urgency=low
* New release (full details in CHANGELOG).
* Default to building with Qt5 (closes: #875093)
2017-08-16 - Nathan Scott <nathans@debian.org>
pcp (3.12.1) unstable; urgency=low
* New release (full details in CHANGELOG).
* Added autopkgtests and d/watch. (closes: #871254)
2017-06-30 - Nathan Scott <nathans@debian.org>
pcp (3.12.0) unstable; urgency=low
* New release (full details in CHANGELOG).
* Fix some python2/python3 packaging issues (closes: #866520)
2017-05-17 - Nathan Scott <nathans@debian.org>
pcp (3.11.10) unstable; urgency=low
* New release (full details in CHANGELOG).
2017-03-31 - Nathan Scott <nathans@debian.org>
pcp (3.11.9) unstable; urgency=low
* New release (full details in CHANGELOG).
2017-02-17 - Nathan Scott <nathans@debian.org>
pcp (3.11.8) unstable; urgency=low
* New release (full details in CHANGELOG).
2016-12-21 - Nathan Scott <nathans@debian.org>
pcp (3.11.7) unstable; urgency=low
* New release (full details in CHANGELOG).

See Also

Package Description
python-pcs_0.6+debian-0ubuntu3_i386.deb Packet Construction Set for Python
python-pdal_1.6.0+ds-1_i386.deb Point Data Abstraction Library - Python 2 extension
python-pdfkit_0.5.0-1_all.deb Python wrapper for wkhtmltopdf to convert HTML to PDF (Python 2)
python-pdfminer_20140328+dfsg-1_all.deb PDF parser and analyser
python-pdfrw-doc_0.4-1_all.deb PDF file manipulation library (documentation)
python-pdfrw_0.4-1_all.deb PDF file manipulation library (Python 2)
python-pdftools_0.37-4_all.deb PDF document reading classes
python-peak.rules_0.5a1+r2713-1_all.deb generic functions support for Python
python-peak.util.decorators_1.8-4_all.deb version-agnostic decorators support for Python
python-peak.util_20160204-1_all.deb utilities from the Python Enterprise Application Kit
python-pebl-doc_1.0.2-4_all.deb Python Environment for Bayesian Learning - documentation
python-pebl_1.0.2-4_i386.deb Python Environment for Bayesian Learning
python-peewee-doc_2.10.2+dfsg-2_all.deb Documentation pyhton peewee simple ORM
python-peewee_2.10.2+dfsg-2_i386.deb Simple ORM for PostgreSQL, MySQL and SQLite (Python 2)
python-pefile_2017.11.5-2_all.deb Portable Executable (PE) parsing module for Python
Advertisement
Advertisement